﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.DragDrop;

namespace SilverlightApplication12
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            RadDragAndDropManager.AddDropInfoHandler(SampleList, OnDropInfo);
            RadDragAndDropManager.AddDragQueryHandler(SourceGrid, OnDropQuery);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            SampleTransformer.LayoutTransform = new ScaleTransform { ScaleX = 3, ScaleY = 3 };
            SampleTransformer.ApplyLayoutTransform();
        }

        public void OnDropInfo(object sender, DragDropEventArgs e)
        {
            if (e.Options.Status == DragStatus.DropComplete)
            {
                MessageBox.Show("Drop Complete");
            }
        }

        public void OnDropQuery(object sender, DragDropQueryEventArgs e)
        {
            if (e.Options.Status == DragStatus.DragQuery)
            {
                SampleTransformer.LayoutTransform = new ScaleTransform { ScaleX = 3, ScaleY = 3 };
                SampleTransformer.ApplyLayoutTransform();
            }
        }
    }
}
